#
# spec file for package xcircuit
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xcircuit
Version:        3.8.63
Release:        1.3
%define short_version 3.8
Summary:        Program for drawing electrical circuit schematic diagrams
License:        GPL-2.0+
Group:          Productivity/Scientific/Electronics
Url:            http://opencircuitdesign.com/xcircuit/
Source:         http://opencircuitdesign.com/xcircuit/archive/xcircuit-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  python-devel
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
BuildRequires:  xorg-x11-devel
# tcl files must be in /usr/share/tcl/xcircuit-version/


%description
XCircuit is a UNIX/X11 program for drawing publishable-quality electrical
circuit schematic diagrams and related figures, and producing circuit netlists
through schematic capture.

%prep
%setup -q
chmod -x examples/xc_remote.sh

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files 
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/%{name}-%{short_version}/
%doc CHANGES COPYRIGHT README README.* VERSION examples/

%changelog
* Thu Jun  5 2014 dmitry_r@opensuse.org
- Update to version 3.8.63
* Thu Feb 21 2013 dl8fcl@darc.de
- update to version 3.7.48
  older changelog is not available
